#
# spec file for package librocket
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum 1
Name:           librocket
Version:        1.3.0+git.1442834294.f164420
Release:        1.1
Summary:        HTML/CSS User Interface Library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://librocket.com/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libRocket is the C++ user interface package based on the HTML and CSS standards.
It is designed as a complete solution for any project's interface needs.

libRocket uses the time-tested open standards XHTML1.0 and CSS2.0 (while borrowing
features from HTML5 and CSS3), and extends them with features suited towards
real-time applications. Because of this, you don't have to learn a whole new
proprietary technology like other libraries in this space.

%package -n %{name}%{sonum}
Summary:        HTML/CSS User Interface Library
Group:          Development/Libraries/C and C++

%description -n %{name}%{sonum}
libRocket is the C++ user interface package based on the HTML and CSS standards.
It is designed as a complete solution for any project's interface needs.

libRocket uses the time-tested open standards XHTML1.0 and CSS2.0 (while borrowing
features from HTML5 and CSS3), and extends them with features suited towards
real-time applications. Because of this, you don't have to learn a whole new
proprietary technology like other libraries in this space.

%package devel
Summary:        Development files for libRocket
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sonum} = %{version}
Requires:       boost-devel
Requires:       freetype2-devel

%description devel
Development files, like headers and cmake helper files, for libRocket.

%package -n python-rocket
Summary:        Python files for libRocket
Group:          Development/Libraries/C and C++
Requires:       freetype2-devel

%description -n python-rocket
Python2 module files for libRocket.

%prep
%setup -q

%build
cd Build
%cmake -DLIBINSTALL_DIR=%{_libdir} -DBUILD_PYTHON_BINDINGS=1
make %{?_smp_mflags}

%install
cd Build
%cmake_install

# Fix cmake files
mkdir -p %{buildroot}%{_libdir}/cmake/libRocket
mv %{buildroot}%{_prefix}/lib/libRocket/* %{buildroot}%{_libdir}/cmake/libRocket
rm -r %{buildroot}%{_prefix}/lib/libRocket

%post -n %{name}%{sonum} -p /sbin/ldconfig
%postun -n %{name}%{sonum} -p /sbin/ldconfig

%files -n %{name}%{sonum}
%defattr(-,root,root)
%doc changelog.txt readme.md
%{_libdir}/libRocket*.so.%{sonum}*

%files devel
%defattr(-,root,root)
%{_includedir}/Rocket
%{_libdir}/libRocket*.so
%{_libdir}/cmake/libRocket

%files -n python-rocket
%defattr(-,root,root)
%{python_sitearch}/*

%changelog
* Tue Aug 16 2016 rpm@fthiessen.de
- Update to current git head 1.3.0+git.1442834294.f164420
  (No release for a long time, but there are a lot of fixes in the
  git repository).
* Tue Jan  1 2013 prusnak@opensuse.org
- created package (version 1.2.1)
